{% extends "web/layout.html.twig" %}
{% block meta %}
    {% set meta_title = "Gracias por tu compra - Justicialistas" %}
    {% set meta_description = "¡Gracias por tu compra en Justicialistas! Tu pedido ha sido confirmado y está siendo procesado. Consulta tu correo electrónico para más detalles sobre tu compra." %}
    <title>{{ meta_title }}</title>
    <meta name="description" content="{{ meta_description }}" />
    <!-- Schema.org markup -->
    <!-- Schema.org markup -->
    <script type="application/ld+json">
        {
            "@context": "https://schema.org",
            "@type": "OrderConfirmationPage",
            "name": "{{ meta_title }}",
            "description": "Página de confirmación de pedido para clientes de Justicialistas",
            "url": "{{ url(app.request.attributes.get('_route'),app.request.attributes.get('_route_params')) }}",
            "publisher": {
                "@type": "Organization",
                "name": "Justicialistas",
                "logo": {
                    "@type": "ImageObject",
                    "url": "{{ absolute_url(asset('/build/images/web/logo-header-mobile.png') ) }}"
                }
            }
        }
    </script>
    <!-- Twitter Card data -->
    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="{{ meta_title }}">
    <meta name="twitter:description" content="{{ meta_description }}">
    <meta name="twitter:image" content="{{ absolute_url(asset('/build/images/web/logo-header-mobile.png') ) }}">
    <!-- Open Graph data -->
    <meta property="og:title" content="{{ meta_title }}" />
    <meta property="og:url"
          content="{{ url(app.request.attributes.get('_route') ,app.request.attributes.get('_route_params') ) }}">
    <meta name="og:image" content="{{ absolute_url(asset('/build/images/web/logo-header-mobile.png') ) }}">
    <meta property="og:description" content="{{ meta_description }}" />
    <meta property="og:site_name" content="Justicialistas" />
{% endblock %}
{% block mkt_events %}
    {% if marketing_tools_enabled %}
        <script>
            window.addEventListener("load", function(event) {

                let mktData = JSON.parse('{{ mktData | json_encode | raw }}');

                let contentIdMeta = [];
                let contentsMeta = [];

                mktData.items.forEach((item) => {
                    contentIdMeta.push(item.id);
                    contentsMeta.push({
                        id: item.id,
                        quantity: item.quantity,
                        item_price: item.price
                    });
                });

                let customData = {
                    content_ids: contentIdMeta,
                    contents: contentsMeta,
                    content_type: "product",
                    currency: "ARS",
                    value: mktData.total, // Valor total del carrito
                    num_items: mktData.total_items
                };

                // Generar ID de evento aleatorio
                const eventId = "ev_" + Math.random().toString(36).substring(2, 15) + Math.random().toString(36).substring(2, 15);

                // Evento para el Pixel de Meta (browser-side)
                if (typeof fbq !== "undefined") {
                    fbq("track", "Purchase", customData, {
                        eventID: eventId
                    });
                }

                // Datos para la Conversions API (server-side)
                const serverData = {
                    eventName: "Purchase",
                    eventId: eventId,
                    customData: {
                        ...customData
                    },
                    actionSource: "website"
                };

                // Enviar datos al servidor para la Conversions API
                fetch("/integration/meta/event", {
                        method: "POST",
                        headers: {
                            "Content-Type": "application/json"
                        },
                        body: JSON.stringify(serverData)
                    })
                    .then((response) => response.json())
                    .catch((error) => {
                        console.error("Error on Conversions API:", error);
                    });

                let cartItemsGtm = [];
                mktData.items.forEach((item) => {
                    cartItemsGtm.push({
                        item_id: item.id,
                        item_name: item.name,
                        quantity: item.quantity,
                        price: item.price
                    });
                });

                dataLayer.push({
                    ecommerce: null
                }); // Clear the previous ecommerce object.
                dataLayer.push({
                    event: "purchase",
                    ecommerce: {
                        currency: "ARS",
                        value: mktData.total,
                        transaction_id: mktData.orderId,
                        items: cartItemsGtm
                    }
                });
            });
        </script>
    {% endif %}
{% endblock %}
{% block content %}
    <section class="store-container">
        <div class="row">
            <section class="section-4 reveal">
                <div class="container">
                    <div class="row" style="text-align: center">
                        <div class="col-12">
                            <div>
                                <img src="/build/images/web/paysuccess.svg" alt="paysuccess">
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>
                        <br>
                        <div class="col-12">
                            <h1>{{ messageTitle }}</h1>
                        </div>
                        <div class="col-12">
                            <p>{{ messageSubTitle|raw }}</p>
                            <p>{{ messageOne }}</p>
                            <p>{{ messageTwo }}</p>
                            <p>{{ messageThree }}</p>
                            <p>{{ messageFour }}</p>
                            <p>{{ messageFive }}</p>
                            <p>{{ messageSix }}</p>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </section>
{% endblock %}
